Retrieve Assistance Requests

Returns a list of Assistance Requests applicable to the scope of the API auth token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer

Filter via Case by ID. Will return all Assistance Requests associated with the provided Case.

integer

Filter via Entry Agent by ID. Will return all Assistance Requests entered by the specified agent.

integer

Filter via last Modification Agent by ID. Will return all Assistance Requests that were last modified by the specified agent.

integer

Filter via Agency by ID. Will return all Assistance Requests that are associated with the provided Agency.

integer

Filter via Category by ID. Will return all Assistance Requests that are associated with the provided Category.

integer

Filter via Status by ID. Will return all Assistance Requests that are associated with the provided Status.

string

Filter via Entry Date. Will return all Assistance Requests entered before the date. Accepts YYYY-MM-DD format. eg. entry_date_before=2023-11-30 will return all Assistance Requests from before November 30th, 2023. Can be combined with entry_date_after.

string

Filter via Entry Date. Will return all Assistance Requests entered after the date. Accepts YYYY-MM-DD format. eg. entry_date_after=2023-11-01 will return all Assistance Requests from after November 1st, 2023. Can be combined with entry_date_before.

string

Filter via last Modification Date. Will return all Assistance Requests modified before the date. Accepts YYYY-MM-DD format. eg. mod_date_before=2023-11-30 will return all Assistance Requests last modified before November 30th, 2023. Can be combined with mod_date_after.

string

Filter via last Modification Date. Will return all Assistance Requests modified after the date. Accepts YYYY-MM-DD format. eg. mod_date_after=2023-11-01 will return all Assistance Requests last modified after November 1st, 2023. Can be combined with mod_date_before.

date-time

Return records entered on or after this date/datetime. Cannot be combined with entry_date_after. Accepted formats: ISO 8601 (eg. 2026-05-01T00:00:00 or 2026-05-01).

date-time

Return records entered on or before this date/datetime. Cannot be combined with entry_date_before. Accepted formats: ISO 8601 (eg. 2026-05-31T23:59:59 or 2026-05-31).

date-time

Return records last modified on or after this date/datetime. Cannot be combined with mod_date_after. Accepted formats: ISO 8601 (eg. 2026-05-01T00:00:00 or 2026-05-01).

date-time

Return records last modified on or before this date/datetime. Cannot be combined with mod_date_before. Accepted formats: ISO 8601 (eg. 2026-05-31T23:59:59 or 2026-05-31).

string

Order results by a field name. Prefix with - for descending order. eg. order_by=mod_date for ascending or order_by=-mod_date for descending. Must be a valid field on the resource; an invalid field returns a 400 error.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json